#if !defined(__constants_h__)
#define __constants_h__

// used pieces in current calculation.
static int const USED_PIECES            = 2;
// number of pieces existing in the game "Dou Shou Qi"
static int const TOTAL_PIECES           = 16;
// pieces per side
static int const PLAYER_PIECES			= 8;
// the number of bits to represent a board position (64 positions, log2(64) = 6)
static int const LEFT_SHIFT             = 6; 
// number of positions to evaluate in off one side
static int const HISTORY_HALF           = 1 << (USED_PIECES*LEFT_SHIFT);
// number of positions to evaluate in total
static int const HISTORY_SIZE           = 2 * HISTORY_HALF;
// number of different configurations, e.g., rat vs. rat
static int const CONFIGURATIONS			= 1 << (3*USED_PIECES);
// just a high constant, to represent something like infinity. 
static int const HIGH_CONSTANT          = 1000000;



static int const BOARD_WIDTH  = 7;
static int const BOARD_HEIGHT = 9;
static int const BOARD_SIZE   = BOARD_WIDTH * BOARD_HEIGHT + 1; 
                                    // incl. captured. total 64

#endif
