#if !defined(__history_h__)
#define __history_h__

#include "../core/move.h"

int const MAX_RECORDED_BEST_MOVES = 1;

struct History {
  History(): calculated(0), winner(0), nr_of_moves(0) {}
  History(bool const w,short const nr):
    calculated(true), winner(w), nr_of_moves(nr) {}
  History(bool const w,short const nr,Move const &best):
    calculated(true), winner(w), nr_of_moves(nr), best_move(best) {}
  
  // boolean property whether the state has been calculated
  bool calculated;
  // (false) if white has a guaranteed win, (true) if black has a guaranteed win
  bool winner;
  // the number of plies to a guaranteed win
  short nr_of_moves;
  // the best move to be played
  Move best_move;
  
}; // TODO: all members should be const. of course.

#endif
